import os

from PyQt5 import uic
from PyQt5 import QtWidgets
from PyQt5.QtWidgets import QFileDialog

from qgis.core import QgsSettings

FORM_CLASS, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'plugin_properties.ui'))

class PluginPropertiesDialog(QtWidgets.QDialog, FORM_CLASS):
    def __init__(self, parent=None):
        super(PluginPropertiesDialog, self).__init__(parent)
        self.setupUi(self)

        self.browse_ortho_btn.clicked.connect(self.on_browse_ortho)
        self.buttonBox.accepted.connect(self.on_accepted)

        self.load_fields()

    def on_browse_ortho(self):
        fn, filter = QFileDialog.getOpenFileName(None, "Chemin vers orthophoto")
        if fn == '':
            return
        self.ortho_edit.setText(fn)

    def load_fields(self):
        s = QgsSettings()
        self.ortho_edit.setText(s.value("PAGGF/ortho", ""))
        self.current_municipality_edit.setText(s.value("PAGGF/current_municipality", ""))
        
    def on_accepted(self):
        from ..paggf_utils import update_background_layer
        s = QgsSettings()
        s.setValue("PAGGF/ortho", self.ortho_edit.text())
        s.setValue("PAGGF/current_municipality", self.current_municipality_edit.text())
        update_background_layer()
